ContentSearch API PROD

ListNewsTeaser returns published news items.

get
https://api.migros.ch/migros/contentsearch/v1/news

Query Parameters

contentfulAppIdstringrequired

Required. The contentful app ID to list news for, e.g. corporate.migros.ch
test-corporate.migros.ch.

languagestring

Optional. If set, only news matching this language will be returned. By
default, german news are returned.

Allowed values:DEFRITEN

Default:DE

newsTagIdsarray[string]

Optional. Multiple news tags to include in the response. The order of the tags is irrelevant.

regionTagIdsarray[string]

Optional. Multiple localities for which news items should be included in the response. The order of these values is irrelevant.

mustNotTopicTagIdsarray[string]

Optional. Multiple topic tags to exclude from the response. The order of these values is irrelevant. These values are tag IDs.

publishedAtOrAfterstring(date-time)

Optional, inclusive. If specified, the ‘published’ timestamp of any
news returned will have to be the same or after this timestamp.
The format must be ‘YYYY-MM-DDTHH:mm:ssZ’, e.g.: ‘2025-08-21T11:54:34Z’.

publishedUntilstring(date-time)

Optional, exclusive. If specified, the ‘published’ timestamp of any
news returned will have to be strictly before this timestamp.
The format must be ‘YYYY-MM-DDTHH:mm:ssZ’, e.g.: ‘2025-08-21T11:54:34Z’.

pageSizestring(int64)

Optional. The maximum number of news items to return in the response.

nextPageFromstring(int64)

Optional. An offset into the elasticsearch response from where news should
be returned, e.g. 6

sortByarray[string]

Optional. Multiple sort parameters to determine the order of the results. Example: [‘releaseDate:desc’, ‘_score:desc’]. Valid fields are releaseDate and _score. Each entry specifies a field and its sort direction (asc/desc).

Response

application/json

A successful response.

newsarray[object]

News currently represents a “Medienmitteilung” or a “Warenrueckruf”.

Show Child Parameters
totalHitsstring(int64)

Total number of news items for this request, not taking page_size into
account.

get/migros/contentsearch/v1/news
 
application/json

News returns detailed information about a single news item identified by its slug or its ID as a path parameter.

get
https://api.migros.ch/migros/contentsearch/v1/news/{slugOrId}

Query Parameters

languagestring

Optional. Specifies the language in which the news article should be
returned. If not provided, the default language is German.

Allowed values:DEFRITEN

Default:DE

Path Parameters

slugOrIdstringrequired

Required. Path parameter for the news item.
Represents either the slug or the ID of the news item. Only one value
should be provided.

Response

application/json

A successful response.

newsobject

Optional. The news item matching the requested criteria.

Show Child Parameters
get/migros/contentsearch/v1/news/{slugOrId}
 
application/json

ContenthubNewsPreview returns detailed information about a single Contenthub news item identified by its slug or its ID.

get
https://api.migros.ch/migros/contentsearch/v1/preview/contenthub/news/{slugOrId}

Query Parameters

languagestring

Optional. Specifies the language in which the news article should be
returned. If not provided, the default language is German.

Allowed values:DEFRITEN

Default:DE

Path Parameters

slugOrIdstringrequired

Required. Path parameter for the news item.
Represents either the slug or the ID of the news item. Only one value
should be provided.

Response

application/json

A successful response.

Response to an attempt to retrieve a Contenthub news item either by its slug
or by its ID.

newsobject

Optional. The news item with the requested slug or ID.

Show Child Parameters
get/migros/contentsearch/v1/preview/contenthub/news/{slugOrId}
 
application/json

SearchContenthubNewsTeaserPreview is like SearchContenthubNewsTeaser but also includes articles that are only in preview mode in Contentful.

post
https://api.migros.ch/migros/contentsearch/v1/preview/contenthub/newsteaser/search

Body

application/json
doNotMatcharray[object]

Optional. Terms not to be matched, multiple terms will be combined with an
“AND” relationship.

Show Child Parameters
languagestring

Optional. If set, only news matching this language will be returned. By
default, german news are returned.

Allowed values:DEFRITEN

Default:DE

matcharray[object]

Optional. Terms to be matched, multiple terms will be combined with an
“AND” relationship.

Show Child Parameters
optionsobject

Optional. OutputOptions for pagination and sorting.

Show Child Parameters
searchTermstring

Optional. Search Term for fulltext-search.

timeTermsarray[object]

TimeTerm filters a time field. Either min, max or both should be provided.

Show Child Parameters

Response

application/json

A successful response.

newsTeaserarray[object]

Optional. If news items matching the requested criteria were found, they’re
in here.

Show Child Parameters
totalHitsstring(int64)

Total number of news items for this request, not taking options.page_size
into account.

post/migros/contentsearch/v1/preview/contenthub/newsteaser/search

Body

{}
 
application/json

ListContenthubTagsPreview lists available Tags for Contenthub Newsteaser.

get
https://api.migros.ch/migros/contentsearch/v1/preview/contenthub/newsteaser/tags

Query Parameters

languagestring

Specifies in which language tag titles should be returned. Defaults to
German.

Allowed values:DEFRITEN

Default:DE

categoryFilterarray[string]

Optional. Filter the Tags by category.

Response

application/json

A successful response.

tagsarray[object]

Total number of tags for this request, not taking page_size into
account.

Show Child Parameters
get/migros/contentsearch/v1/preview/contenthub/newsteaser/tags
 
application/json